## nepomuk-core 4.9.2

=== services/fileindexer/CMakeLists.txt ===
project(fileindexerservice)

include(SopranoAddOntology)

# Check if strigiconfig.h has version functions
include(CheckCXXSourceCompiles)
set(CMAKE_REQUIRED_INCLUDES ${STRIGI_INCLUDE_DIR})
set(CMAKE_REQUIRED_LIBRARIES ${STRIGI_STREAMS_LIBRARY})
CHECK_CXX_SOURCE_COMPILES(
  "#include <strigi/strigiconfig.h>\nint main(int ac, char** av) { Strigi::versionString(); }"
  STRIGI_HAS_VERSION_HEADER
)
if(${STRIGI_HAS_VERSION_HEADER})
  add_definitions(-DSTRIGI_HAS_VERSION_HEADER)
endif(${STRIGI_HAS_VERSION_HEADER})

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=300106)

include_directories(
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  )

set(nepomukfileindexer_SRCS
  fileindexer.cpp
  indexscheduler.cpp
  indexcleaner.cpp
  fileindexerconfig.cpp
  eventmonitor.cpp
  util.cpp
  nepomukindexer.cpp
  )

qt4_add_dbus_adaptor(nepomukfileindexer_SRCS ../../interfaces/org.kde.nepomuk.FileIndexer.xml fileindexer.h Nepomuk2::FileIndexer )

qt4_add_dbus_interface(nepomukfileindexer_SRCS ../../interfaces/org.kde.nepomuk.FileWatch.xml filewatchserviceinterface)

kde4_add_plugin(nepomukfileindexer ${nepomukfileindexer_SRCS})

set(fileindexer_LIBS
  nepomukcommon
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_SOLID_LIBS}
  ${KDE4_KIDLETIME_LIBS}
  nepomukcore
  ${SOPRANO_LIBRARIES}
)

if(${STRIGI_HAS_VERSION_HEADER})
    set(fileindexer_LIBS ${fileindexer_LIBS} ${STRIGI_STREAMS_LIBRARY} )
endif(${STRIGI_HAS_VERSION_HEADER})

target_link_libraries(nepomukfileindexer
  ${fileindexer_LIBS}
)

install(
  FILES nepomukfileindexer.desktop
  DESTINATION ${SERVICES_INSTALL_DIR})

install(
  FILES nepomukfileindexer.notifyrc
  DESTINATION ${DATA_INSTALL_DIR}/fileindexerservice)

install(
  TARGETS nepomukfileindexer
  DESTINATION ${PLUGIN_INSTALL_DIR})

add_subdirectory(indexer)
add_subdirectory(test)
# -----------------------------

=== services/filewatch/CMakeLists.txt ===
project(nepomukfilewatch)

include(SopranoAddOntology)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=300101)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../fileindexer
  )

set(SRCS
  nepomukfilewatch.cpp
  metadatamover.cpp
  updaterequest.cpp
  invalidfileresourcecleaner.cpp
  ../fileindexer/fileindexerconfig.cpp
  removabledeviceindexnotification.cpp
  activefilequeue.cpp
  )

qt4_add_dbus_interface(SRCS ../../interfaces/org.kde.nepomuk.FileIndexer.xml fileindexerinterface)

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  set(SRCS
    ${SRCS}
    kinotify.cpp
)
add_definitions(-DBUILD_KINOTIFY)
endif(CMAKE_SYSTEM_NAME MATCHES "Linux")

kde4_add_plugin(nepomukfilewatch ${SRCS})

target_link_libraries(nepomukfilewatch
  nepomukcommon
  nepomukcore
  ${SOPRANO_CLIENT_LIBRARIES}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_SOLID_LIBS}
  )

install(
  FILES nepomukfilewatch.desktop
  DESTINATION ${SERVICES_INSTALL_DIR})
install(
  TARGETS nepomukfilewatch
  DESTINATION ${PLUGIN_INSTALL_DIR})
install(
  FILES nepomukfilewatch.notifyrc
  DESTINATION ${DATA_INSTALL_DIR}/nepomukfilewatch)

add_subdirectory(test)

=== debian/changelog ===
nepomuk-core (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Add fix_nepomuk_crash.diff as advised by upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Oct 2012 21:53:59 +0100

nepomuk-core (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:36:43 +0100

nepomuk-core (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release
  * Applied upstream: fix_mem_leak.patch and fix_mem_leak_2.patch

  [ Philip Muškovac ]
  * Add new symbols to libnepomukcore4abi1.symbols

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:41:21 +0530

nepomuk-core (4:4.9.0a-0ubuntu3) quantal; urgency=low

  * Add fix_memory_leak.patch and fix_memory_leak_2.patch from
    the KDE 4.9 branch so that nepomuk doesn't consume all the RAM

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 09 Aug 2012 00:45:51 +0530

nepomuk-core (4:4.9.0a-0ubuntu2) quantal; urgency=low

  * Fix .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 14:08:42 +0100

nepomuk-core (4:4.9.0a-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New symbols, rename libnepomukcore4 to libnepomukcore4abi and enable Debian ABI manager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:43:09 +0100

nepomuk-core (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Philip Muškovac ]
  * add missing libkdeinit4_nepomukserver.so to nepomuk-core.install
    (LP: #1011683)

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Add doxygen build-dep

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 21:40:34 +0200

nepomuk-core (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * Initial release. 
    - import kubuntu_strigi_ram_detection.diff from kde-runtime package
      as the code was moved here

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 May 2012 15:25:35 +0200

=== debian/control ===
Source: nepomuk-core
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9),               
               kdelibs5-dev (>= 4:4.9.2),
               libsoprano-dev (>= 2.7.56~),
               libstreamanalyzer-dev (>= 0.7.3),
               libstreams-dev (>= 0.7.3),
               pkg-kde-tools (>= 0.12),
               quilt,
               shared-desktop-ontologies (>= 0.7),
               doxygen
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core

Package: nepomuk-core-dev
Section: libdevel
Architecture: any
Depends: libnepomukcore4abi1 (= ${binary:Version}),
         libnepomuksync4 (= ${binary:Version}),
         ${misc:Depends}
Breaks: kde-runtime-dev (<< 4:4.8.80)
Replaces: kde-runtime-dev (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- development files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the development files for nepomuk-core.

Package: nepomuk-core
Architecture: any
Depends: nepomuk-core-data, ${misc:depends}, ${shlibs:Depends}
Breaks: kde-runtime (<< 4:4.8.80)
Replaces: kde-runtime (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.

Package: nepomuk-core-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-runtime-data (<< 4:4.8.80)
Replaces: kde-runtime-data (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- shared data files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the architecure independent files from nepomuk-core.

Package: libnepomuksync4
Section: libs
Architecture: any
Depends: nepomuk-core-data, ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-runtime (<< 4:4.8.1~)
Replaces: kde-runtime (<< 4:4.8.1~)
Description: Nepomuk sync interface for the Backup and Sync service
 The Nepomuk sync interface provides a convenient way to store and look up
 Nepomuk resources.
 .
 This package contains the Nepomuk Synchronization library.

Package: libnepomukcore4abi1
X-Debian-ABI: 1
Section: libs
Architecture: any
Depends: nepomuk-core-data, ${misc:Depends}, ${shlibs:Depends}
Description: The Nepomuk Meta Data Library
 This is the KDE Meta Data library (not to confuse with KFileMetaData). It consists of
 the following parts:
 - The main resource handling centered around Nepomuk::Resource
 - The handling of ontologies via classes in the Nepomuk::Types namespace
 - The desktop Nepomuk::Query API
 - Several utility methods and classes

Package: nepomuk-core-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libnepomukcore4abi1 (= ${binary:Version}),
         libnepomuksync4 (= ${binary:Version}),
         nepomuk-core (= ${binary:Version}),
         ${misc:Depends}
Breaks: kde-runtime-dbg (<< 4:4.8.80)
Replaces: kde-runtime-dbg (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- shared data files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the architecure independent files from nepomuk-core.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	# kde-runtime needs to depend on nepomuk-core, not the other way
	$(overridden_command) -- -xkde-runtime

override_dh_strip:
	$(overridden_command) --dbg-package=nepomuk-core-dbg

## nepomuk-core 4.9.4

=== debian/changelog ===
nepomuk-core (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 01:02:27 +0100

nepomuk-core (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)
    - drop fix_nepomuk_crash.diff, applied upstream
    - add new symbols to libnepomukcore4abi1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:41:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.9.2),
+               kdelibs5-dev (>= 4:4.9.4),
                libsoprano-dev (>= 2.7.56~),
                libstreamanalyzer-dev (>= 0.7.3),
                libstreams-dev (>= 0.7.3),

## nepomuk-core 4.9.5

=== autotests/test/CMakeLists.txt ===
include(${NEPOMUK_TESTLIB_CMAKE_DIR}/NepomukTestLibMacros.cmake)

#
# Resource Tests
#

set( RESOURCE_TESTS_SRC resourcetests.cpp )

# we are linking a static nepomuktestlib, no need for exports then

add_definitions(-DNEPOMUKTEST_EXPORT=)

kde4_add_executable(resourcetest ${RESOURCE_TESTS_SRC})

target_link_libraries(resourcetest
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${SOPRANO_LIBRARIES}
  kdecore
  nepomukcore
  nepomuktestlib
)

add_nepomuk_test(NepomukResourceTest ${CMAKE_CURRENT_BINARY_DIR}/resourcetest)

#
# Query Tests
#

set( QUERY_TESTS_SRC querytests.cpp )

kde4_add_executable(querytests ${QUERY_TESTS_SRC})

target_link_libraries(querytests
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${SOPRANO_LIBRARIES}
  kdecore
  nepomukcore
  nepomuktestlib
)

add_nepomuk_test(QueryTests ${CMAKE_CURRENT_BINARY_DIR}/querytests)


#
# Query Service Tests
#

set( QUERY_SERVICE_TESTS_SRC queryservicetest.cpp )

kde4_add_executable(queryservicetest ${QUERY_SERVICE_TESTS_SRC})

target_link_libraries(queryservicetest
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${SOPRANO_LIBRARIES}
  kdecore
  nepomukcore
  nepomuktestlib
)

add_nepomuk_test(QueryServiceTest ${CMAKE_CURRENT_BINARY_DIR}/queryservicetest)


#
# Normal Tests ( Do not require the testing environment )
#

# Query tests
# --------------------------------------------
set(queryparsertest_SRC queryparsertest.cpp)
kde4_add_unit_test(queryparsertest TESTNAME nepomuk-queryparsertest NOGUI ${queryparsertest_SRC})
target_link_libraries(queryparsertest nepomukcore
  ${QT_QTTEST_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
)

set(querylibtest_SRC querylibtest.cpp)
kde4_add_unit_test(querylibtest TESTNAME nepomuk-querylibtest NOGUI ${querylibtest_SRC})
target_link_libraries(querylibtest nepomukcore
  ${QT_QTTEST_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
)

set(queryserializertest_SRC queryserializertest.cpp)
kde4_add_unit_test(queryserializertest TESTNAME nepomuk-queryserializertest NOGUI ${queryserializertest_SRC})
target_link_libraries(queryserializertest nepomukcore
  ${QT_QTTEST_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
)

# DMS Tests
# -------------------------------------------

kde4_add_unit_test(simpleresourceclassestest
  simpleresourceclassestest.cpp
)
target_link_libraries(simpleresourceclassestest
  nepomukcore
  ${QT_QTTEST_LIBRARY}
  ${QT_QTCORE_LIBRARY}
)

=== services/backupsync/lib/test/CMakeLists.txt ===
project(nepomuksync_tests)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${libnepomuksync_SOURCE_DIR}
)

include (KDE4Defaults)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set(nepomuksynctests_SRCS testbase.cpp nepomuksynctests.cpp )

kde4_add_unit_test(nepomuksynctest ${nepomuksynctests_SRCS})

target_link_libraries(nepomuksynctest
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDECORE_LIBS}
  nepomuksync
)

=== debian/changelog ===
nepomuk-core (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:43:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.9.4),
+               kdelibs5-dev (>= 4:4.9.5),
                libsoprano-dev (>= 2.7.56~),
                libstreamanalyzer-dev (>= 0.7.3),
                libstreams-dev (>= 0.7.3),

## nepomuk-core 4.10.0

=== debian/changelog ===
nepomuk-core (4:4.10.0-0ubuntu2) raring; urgency=low

  * Add 0001-Revert-BasicIndexingQueue-Use-stacks-instead-of-queu.patch
    from upstream which fixes recursive indexing.

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 11 Feb 2013 21:18:48 +0100

nepomuk-core (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Remove missing private symbols from libnepomukcore4abi1.symbols, no
    SOVERSION bump needed.

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:11:05 +0000

nepomuk-core (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:05:38 +0000

nepomuk-core (4:4.9.97-0ubuntu3) raring; urgency=low

  * Add back missing nepomuk-core binary

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jan 2013 14:58:19 +0000

nepomuk-core (4:4.9.97-0ubuntu2) raring; urgency=low

  * New package nepomuk-core-ffmpegextractor to keep the ffmpeg plugin separate
  * Add build-dep on libavformat-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jan 2013 18:12:20 +0000

nepomuk-core (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate
    - require soprano >= 2.9

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:45:49 +0100

nepomuk-core (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * add new symbol to libnepomukcore4abi1.symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:43:30 +0000

nepomuk-core (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:12:57 +0000

nepomuk-core (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * libnepomuksync4 removed, library gone

  [ Scott Kitterman ]
  * Remove unneeded build-dep on quilt
  * Add build-depends on libtag1-dev, libexiv2-dev, and libpoppler-qt4-dev
  * Add nepomukpopplerextractor.so and nepomuktaglibextractor.so to
    nepomukcore.install
  * Add related desktop files to nepomuk-core-data.install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 13:16:59 -0500

nepomuk-core (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747) 
    - add new symbols to libnepomukcore4abi1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:45:03 +0100

nepomuk-core (4:4.9.2-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Oct 2012 15:27:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,17 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.9.5),
-               libsoprano-dev (>= 2.7.56~),
+               kdelibs5-dev (>= 4:4.10.0),
+               libexiv2-dev,
+               libpoppler-qt4-dev,
+               libsoprano-dev (>= 2.9.0~),
                libstreamanalyzer-dev (>= 0.7.3),
                libstreams-dev (>= 0.7.3),
+               libtag1-dev,
                pkg-kde-tools (>= 0.12),
-               quilt,
                shared-desktop-ontologies (>= 0.7),
-               doxygen
+               doxygen,
+               libavformat-dev,
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
@@ -22,7 +25,6 @@
 Section: libdevel
 Architecture: any
 Depends: libnepomukcore4abi1 (= ${binary:Version}),
-         libnepomuksync4 (= ${binary:Version}),
          ${misc:Depends}
 Breaks: kde-runtime-dev (<< 4:4.8.80)
 Replaces: kde-runtime-dev (<< 4:4.8.80)
@@ -55,17 +57,17 @@
  .
  This package contains the architecure independent files from nepomuk-core.
 
-Package: libnepomuksync4
-Section: libs
+Package: nepomuk-core-ffmpegextractor
 Architecture: any
-Depends: nepomuk-core-data, ${misc:Depends}, ${shlibs:Depends}
-Breaks: kde-runtime (<< 4:4.8.1~)
-Replaces: kde-runtime (<< 4:4.8.1~)
-Description: Nepomuk sync interface for the Backup and Sync service
- The Nepomuk sync interface provides a convenient way to store and look up
- Nepomuk resources.
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Nepomuk Semantik Desktop core libraries -- Video Tag reader
+ The core Nepomuk system contains of the central services like file indexing,
+ file system monitoring, query, and of course storage, as well as the
+ corresponding client libraries.
  .
- This package contains the Nepomuk Synchronization library.
+ This package contains the plugin which uses FFmpeg for reading video tags.
+ . 
+ It is not allowed on the CD due to concerns with software patents in FFmpeg.
 
 Package: libnepomukcore4abi1
 X-Debian-ABI: 1
@@ -85,7 +87,6 @@
 Priority: extra
 Architecture: any
 Depends: libnepomukcore4abi1 (= ${binary:Version}),
-         libnepomuksync4 (= ${binary:Version}),
          nepomuk-core (= ${binary:Version}),
          ${misc:Depends}
 Breaks: kde-runtime-dbg (<< 4:4.8.80)

## nepomuk-core 4.10.2

=== debian/changelog ===
nepomuk-core (4:4.10.2-0ubuntu2) raring; urgency=low

  * Add kubuntu_hide_menu_entries.diff hiding nepomukcleaner from the menu
    (is available via the KCM) and limiting nepomukbackup to only the system
    category rather than both utilities and system.
    Both discussed with upstream and should appear there for 4.11 (otherwise
    poke with stick).

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Apr 2013 00:14:51 +0200

nepomuk-core (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:00:03 +0200

nepomuk-core (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
    - drop 0001-Revert-BasicIndexingQueue-Use-stacks-instead-of-queu.patch,
      applied upstream
    - add new symbols to libnepomukcore4abi1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:45:16 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                libexiv2-dev,
                libpoppler-qt4-dev,
                libsoprano-dev (>= 2.9.0~),

## nepomuk-core 4.10.5

=== debian/changelog ===
nepomuk-core (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)
  * nepomuk-core-dev breaks/replaces kde-runtime-data << 4:4.9 because
    org.kde.nepomuk.QueryService.xml moved

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:47:12 +0200

nepomuk-core (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:37:28 +0200

nepomuk-core (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)
    - Update install files
    - nepomuk-core-dev now depends on nepomuk-core for libnepomukextractor.so

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:18:22 +0200

nepomuk-core (4:4.10.2-0ubuntu2) raring-proposed; urgency=low

  * Add kubuntu_hide_menu_entries.diff hiding nepomukcleaner from the menu
    (is available via the KCM) and limiting nepomukbackup to only the system
    category rather than both utilities and system.
    Both discussed with upstream and should appear there for 4.11 (otherwise
    poke with stick).

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Apr 2013 00:14:51 +0200

nepomuk-core (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:00:03 +0200

nepomuk-core (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
    - drop 0001-Revert-BasicIndexingQueue-Use-stacks-instead-of-queu.patch,
      applied upstream
    - add new symbols to libnepomukcore4abi1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:45:16 +0000

nepomuk-core (4:4.10.0-0ubuntu2) raring-proposed; urgency=low

  * Add 0001-Revert-BasicIndexingQueue-Use-stacks-instead-of-queu.patch
    from upstream which fixes recursive indexing.

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 11 Feb 2013 21:18:48 +0100

nepomuk-core (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Remove missing private symbols from libnepomukcore4abi1.symbols, no
    SOVERSION bump needed.

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:11:05 +0000

nepomuk-core (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:05:38 +0000

nepomuk-core (4:4.9.97-0ubuntu3) raring-proposed; urgency=low

  * Add back missing nepomuk-core binary

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jan 2013 14:58:19 +0000

nepomuk-core (4:4.9.97-0ubuntu2) raring-proposed; urgency=low

  * New package nepomuk-core-ffmpegextractor to keep the ffmpeg plugin separate
  * Add build-dep on libavformat-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jan 2013 18:12:20 +0000

nepomuk-core (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
    - require soprano >= 2.9

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:45:49 +0100

nepomuk-core (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * add new symbol to libnepomukcore4abi1.symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:43:30 +0000

nepomuk-core (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:12:57 +0000

nepomuk-core (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * libnepomuksync4 removed, library gone

  [ Scott Kitterman ]
  * Remove unneeded build-dep on quilt
  * Add build-depends on libtag1-dev, libexiv2-dev, and libpoppler-qt4-dev
  * Add nepomukpopplerextractor.so and nepomuktaglibextractor.so to
    nepomukcore.install
  * Add related desktop files to nepomuk-core-data.install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 13:16:59 -0500

nepomuk-core (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747) 
    - add new symbols to libnepomukcore4abi1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:45:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.5),
                libexiv2-dev,
                libpoppler-qt4-dev,
                libsoprano-dev (>= 2.9.0~),
@@ -25,9 +25,10 @@
 Section: libdevel
 Architecture: any
 Depends: libnepomukcore4abi1 (= ${binary:Version}),
+         nepomuk-core (= ${binary:Version}),
          ${misc:Depends}
-Breaks: kde-runtime-dev (<< 4:4.8.80)
-Replaces: kde-runtime-dev (<< 4:4.8.80)
+Breaks: kde-runtime-dev (<< 4:4.8.80), kde-runtime-data (<< 4:4.9)
+Replaces: kde-runtime-dev (<< 4:4.8.80), kde-runtime-data (<< 4:4.9)
 Description: Nepomuk Semantik Desktop core libraries -- development files
  The core Nepomuk system contains of the central services like file indexing,
  file system monitoring, query, and of course storage, as well as the

## nepomuk-core 4.11.2

=== debian/changelog ===
nepomuk-core (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:50:44 +0100

nepomuk-core (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.
  * Add shared-desktop-ontologies to nepomuk-core-dev depends as it's required
    when building something with nepomuk

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:37:32 +0100

nepomuk-core (4:4.11.0a-0ubuntu1) saucy; urgency=low

  [ Philip Muškovac ]
  * Rewrite debian/copyright for 4.11

  [ Howard Chan ]
  * New upstream release

 -- Howard Chan <smartboyhw@gmail.com>  Thu, 08 Aug 2013 12:55:05 +0800

nepomuk-core (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:00:48 +0100

nepomuk-core (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Bump build-dep version of libsoprano-dev to >= 2.9.3
  * Build-depend on libepub-dev
  * Add epub extractor files to nepomuk-core-runtime and nepomuk-core-data

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:28 +0000

nepomuk-core (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Philip Muškovac ]
  * Add transitional package for nepomuk-core -> nepomuk-core-runtime 

  [ Michał Zając ]
  * New upstream bet release

  [ Philip Muškovac ]
  * Add nepomukmobiextractor to install files 
  * Add new symbol to libnepomukcore4abi1.symbols

  [ Rohan Garg ]
  * Make sure nepomuk-core is in the oldlibs section and priority is extra

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Jun 2013 18:28:48 +0100

nepomuk-core (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
  * Bump build-dep on shared-desktop-ontologies to 0.10.51

  [ Philip Muškovac ]
  * Add new library: libnepomukcleaner4 with install and symbols file
  * Add new symbols to libnepomukcore4abi1.symbols
  * Update install files
  * Build-depend on doxygen for docs generation

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:46:24 +0100

nepomuk-core (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Bump replaces to 4.10.50 to allow for backports

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:48:57 +0100

nepomuk-core (4:4.10.3-0ubuntu2) saucy; urgency=low

  * Add nepomuk-core-runtime to nepomuk-core-dev depends as
    libnepomukextractor.so needs to be present at build-time

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 25 May 2013 03:04:24 +0200

nepomuk-core (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - add patches enable_debianabimanager.diff, kubuntu_hide_menu_entries.diff,
     kubuntu_strigi_ram_detection.diff
   - libnepomukcore4 now libnepomukcore4abi1
   - nepomukffmpegextractor files in nepomuk-core-ffmpegextractor
   - nepomuk-core-dev breaks/replaces old kde-runtime-dev and
     depends on python
  * nepomuk-core-runtime replaces/breaks nepomuk-core
  * Add libnepomukextractor.so to nepomuk-core-runtime

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:57 +0000

nepomuk-core (4:4.10.2-2) experimental; urgency=low

  [ Sune Vuorela ]
  * Update copyright file based on comments from ftp-master
  * Update uploaders

  [ Pino Toscano ]
  * Make nepomuk-core-runtime break/replace kde-runtime < 4.8.80, since files
    were moved. (Closes: #705529)

 -- Sune Vuorela <sune@debian.org>  Wed, 17 Apr 2013 21:46:44 +0200

nepomuk-core (4:4.10.2-1) experimental; urgency=low

  [ Josep Febrer ]
  [ José Manuel Santamaría Lema ]
  * Initial release. Some bits are sligthly based on Ubuntu; the copyright file
    was copied from there.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 23 Jun 2012 06:58:20 +0200

=== debian/control ===
Source: nepomuk-core
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
 kdelibs5-dev (>= 4:4.11.2),
 debhelper (>= 9),
 cmake (>= 2.6.4),
 pkg-kde-tools (>= 0.14),
 libsoprano-dev (>= 2.9.3),
 shared-desktop-ontologies (>= 0.10.51),
 libpoppler-qt4-dev,
 libtag1-dev,
 libexiv2-dev,
 libavformat-dev,
 libepub-dev,
 doxygen
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/nepomuk-core.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/nepomuk-core.git

Package: nepomuk-core-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${allLibraries}, python, nepomuk-core-runtime,
 shared-desktop-ontologies
Breaks: kde-runtime-dev (<< 4:4.8.80)
Replaces: kde-runtime-dev (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- development files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the development files for nepomuk-core.

Package: nepomuk-core
Architecture: all
Depends: nepomuk-core-runtime, ${misc:depends}
Priority: extra
Section: oldlibs
Description: Nepomuk Semantik Desktop core libraries - transitional package
 The core Nepomuk system contains of the central services like file
 indexing, file system monitoring, query, and of course storage, as
 well as the corresponding client libraries.
 .
 This is a transitional package for nepomuk-core-runtime and can be safely removed
 after installation.

Package: nepomuk-core-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-runtime (<< 4:4.8.80), nepomuk-core (<< 4:4.10.50)
Replaces: kde-runtime (<< 4:4.8.80), nepomuk-core (<< 4:4.10.50)
Description: Nepomuk Semantik Desktop core libraries
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the runtime files from nepomuk-core.

Package: nepomuk-core-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-runtime-data (<< 4:4.8.80)
Replaces: kde-runtime-data (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- shared data files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the architecure independent files from nepomuk-core.

Package: nepomuk-core-ffmpegextractor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nepomuk Semantik Desktop core libraries -- Video Tag reader
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the plugin which uses FFmpeg for reading video tags.
 . 
 It is not allowed on the CD due to concerns with software patents in FFmpeg.

Package: libnepomukcore4abi1
X-Debian-ABI: 1
Section: libs
Architecture: any
Depends: nepomuk-core-data, ${misc:Depends}, ${shlibs:Depends}
Description: Nepomuk Meta Data Library
 This is the KDE Meta Data library (not to confuse with
 KFileMetaData). It consists of the following parts:
  - The main resource handling centered around Nepomuk::Resource
  - The handling of ontologies via classes in the Nepomuk::Types namespace
  - The desktop Nepomuk::Query API
  - Several utility methods and classes

Package: libnepomukcleaner4
X-Debian-ABI: 0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, nepomuk-core-data
Description: Nepomuk Index Cleaner library
 Shared components for the nepomuk index cleaner. Contains the
 Nepomuk2::CleaningJob for managing the index cleaner activities.

Package: nepomuk-core-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${allLibraries},
 nepomuk-core-runtime (= ${binary:Version})
Breaks: kde-runtime-dbg (<< 4:4.8.80)
Replaces: kde-runtime-dbg (<< 4:4.8.80)
Description: debugging symbols for the Nepomuk Semantik Desktop core libraries
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains debugging files used to investigate problems with the
 core Nepomuk system mentioned above.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk


override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test


override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_shlibdeps:
	$(overridden_command) -- -xkde-runtime

override_dh_strip:
	$(overridden_command) --dbg-package=nepomuk-core-dbg

# Library stuff
libpkgs_addsubst_allLibraries = nepomuk-core-dev nepomuk-core-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

## nepomuk-core 4.11.5

=== debian/changelog ===
nepomuk-core (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:52:05 +0100

nepomuk-core (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:10:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
  debhelper (>= 9),
  cmake (>= 2.6.4),
  pkg-kde-tools (>= 0.14),
@@ -19,8 +19,8 @@
  doxygen
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/nepomuk-core.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/nepomuk-core.git
